Zapora

Create a VM firewall rule

POST
/cloud/project/{project_uuid}/vm/{vmid}/firewall/rules/

Adds an inbound/outbound rule, or attaches a project security group (type=group).

Authorization

bearerAuth
AuthorizationBearer <token>

API key created in the portal (Settings → API Keys). Send as Authorization: Bearer <key>.

In: header

Path Parameters

project_uuid*string

Project UUID.

vmid*integer

VM identifier (VMID).

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Create or update a VM firewall rule, or attach a security group.

Response Body

application/json

curl -X POST "https://example.com/cloud/project/string/vm/0/firewall/rules/" \  -H "Content-Type: application/json" \  -d '{    "type": "in",    "action": "string",    "enable": true  }'
{  "message": "string"}